/* 
-----------------------
M A I N
*/

* {
  padding: 0;
  margin: 0;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  /*
    -----------------------
    V A R I A B L E S
    */
  --primary-color: #2b2b2b;
  --secondary-color: #faebd7;
  --secondary-color-trans: hsla(0, 0%, 17%, 0.9);
  --highlight-color: #ff6347;
  --alternate-highlight: rgb(192, 201, 222);

  --container-width: 1000px;
  --gap: 2rem;
  --border-radius: 5px;

  font-size: 1rem;
  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

html {
  background-color: var(--secondary-color);
  color: var(--primary-color);
  font-family: neue-haas-unica, sans-serif;
  font-weight: 400;
  font-style: normal;
  scroll-behavior: smooth;
  overscroll-behavior: none;
  overflow-x: hidden;
  font-size: 1rem;
  line-height: 1rem;
  font-weight: 400;
  box-sizing: border-box;
  overflow-x: hidden;
}

body {
  position: relative;
}

@media (max-width: 767.98px) {
  :root {
    font-size: 0.9rem;
  }
}

.flex {
  display: flex;
  flex-direction: column;
  gap: var(--gap);
}

.flex--full {
  flex: 1 0 100%;
}

.flex--half {
  flex: 1 0 45%;
}

.flex--one_third {
  flex: 0 0 20%;
}

.flex--two_thirds {
  flex: 1 1 50%;
}

.container {
  /* max-width: var(--container-width); */
  position: relative;
  margin: 0 auto;
  width: 100%;
  background-color: var(--secondary-color);
}

li {
  list-style-type: none;
}

a,
a:visited {
  color: var(--secondary-color);
  font-size: 1rem;
  text-decoration: none;
  border-bottom: 1px solid var(--alternate-highlight);
}

a:hover,
a:focus {
  border: 0;
  color: tomato;
  border-bottom: 1px solid tomato;
}

* a:hover,
* button:hover {
  cursor: pointer;
}

.socials > a:hover,
.socials > a:visited {
  border: 0;
  border-bottom: 0px;
}

/*
-----------------------
F O N T S  G E N
*/

p {
  line-height: 1.5rem;
  /* font-family: serif; */
}

.text--large {
  font-size: 1.5rem;
  font-family: p22-mackinac-pro, serif;
  font-weight: 700;
  line-height: 2rem;
  font-style: normal;
}

em {
  font-weight: 600;
  font-style: normal;
}

.italic {
  /* font-family: neue-haas-unica, sans-serif;
    font-weight: 400; */
  font-style: italic;
}

.noplay {
  font-style: italic;
  color: rgb(184, 184, 184);
}

.alternate__highlight {
  color: var(--alternate-highlight);
  padding-top: 0.3rem;
}

h1,
h2,
h3,
h4,
a {
  font-family: p22-mackinac-pro, serif;
}

h1 {
  font-size: 3.5rem;
  font-weight: 800;
  text-align: center;
}

h2 {
  font-size: 2rem;
  font-weight: 800;
}

h3 {
  font-size: 2rem;
  line-height: 2.5rem;
  font-weight: 800;
}

/*
----------------------
A S S I S T I V E
*/

#skip a {
  position: absolute;
  left: -10000px;
  top: auto;
  width: 1px;
  height: 1px;
  overflow: hidden;
}

#skip a:focus {
  position: static;
  width: auto;
  height: auto;
}

.sr-only:not(:focus):not(:active) {
  position: absolute;
  left: -10000px;
  top: auto;
  width: 1px;
  height: 1px;
  overflow: hidden;
}

/*
-----------------------
S E C T I O N    G E N
*/

section {
  margin: 0 auto;
  padding: 4rem 2rem;
  background-color: var(--secondary-color);
  max-width: var(--container-width);
}

.section__padding {
  padding-top: 8rem;
  padding-bottom: 5rem;
}

section h1 {
  padding-bottom: 5rem;
}

.hider {
  opacity: 0;
  transform: translateX(-5%);
  transition: all 400ms ease-out 400ms;
}

.show {
  opacity: 1;
  transform: translateX(0%);
}

/* 
TOP OF PAGE
-----------------------
H E A D E R
 */

.main__header {
  margin: 0 auto;
  height: 100%;
}

.logotyp {
  max-width: max(15rem, 20vw);
}

.button {
  position: absolute;
  display: block;
  max-width: 100px;
}

.button--left {
  left: 2rem;
  top: 2rem;
}

.splash {
  width: 100%;
  height: 100vh;
  height: 100dvh;
  position: absolute;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  box-sizing: border-box;
}

h1.signature {
  padding-bottom: 0.5rem;
}

.splash h1 {
  color: var(--secondary-color);
  font-weight: 800;
  line-height: 1;
  font-size: 5rem;
  border: 0;
  border-bottom: 1px solid tomato;
  user-select: none;
}

.splash a {
  font-size: 1rem;
}

.splash--current {
  position: absolute;
  display: block;
  bottom: 0;
  margin: 0 auto;
  color: var(--secondary-color);
  margin-bottom: min(20vh, 5rem);
}

.arrow {
  position: fixed;
  display: block;
  background-color: #ff6347;
  margin: 0 auto;
  left: 0;
  bottom: 1rem;
  z-index: 30;
  width: 2rem;
  aspect-ratio: 1;

  background-repeat: no-repeat;
  background-image: url("./src/ico/M-arrow-32.svg");
}

/*
----------------------
S O C I A L S
*/

.socials {
  --gap: 1rem;
  flex-direction: row;
  z-index: 15;
}

.social__icon {
  width: 1.25rem;
  aspect-ratio: 1;
  top: 2rem;
  right: 2rem;
  display: block;
  background-repeat: no-repeat;
}

.social__icon:hover {
  cursor: pointer;
}

.fb {
  content: url("./src/ico/fb-white.svg");
}

.ig {
  content: url("./src/ico/ig-white.svg");
}

.spotify {
  content: url("./src/ico/spotify-white.svg");
}

.apple {
  content: url("./src/ico/apple-white.svg");
}

.youtube {
  content: url("./src/ico/yt-white.svg");
}

.apple_svg {
  fill: #ff6347;
}

/*
----------------------
N A V
*/

.main__navigation {
  position: fixed;
  margin: 0;
  padding: 0;
  background-color: var(--secondary-color-trans);
  backdrop-filter: blur(10px);
  flex-direction: column;
  justify-content: center;
  align-items: center;
  inset: 0 0 0 0;
  gap: 4rem;
  transform: translateY(-100%);
  transition: transform 300ms ease-out;
  z-index: 20;
  overflow: hidden;
}

.main__navigation[data-visible="true"] {
  transform: translateY(0);
}

li a {
  text-decoration: none;
  font-style: normal;
  border-bottom: 0;
  font-size: 2rem;
}

.navigation__toggle {
  position: fixed;
  padding: 1.5rem;
  background-color: rgba(31, 31, 31, 0.164);
  background-image: url("./src/ico/menu-icon.svg");
  background-repeat: no-repeat;
  background-position: center;
  width: 2rem;
  aspect-ratio: 1;
  top: 2rem;
  right: 2rem;
  z-index: 9999;
  /* box-shadow: 0.3em 0.3em 1em rgba(0, 0, 0, 0.3); */
}

.navigation__toggle[aria-expanded="true"] {
  background: url("./src/ico/menu-close.svg");
  background-repeat: no-repeat;
  background-position: center;
}

button {
  border: 0;
}

button:hover {
  cursor: pointer;
}

/*
----------------------
H E R O
*/

.hero {
  min-height: 100lvh;
  min-height: 100dvh;
  /* box-sizing: border-box; */
  overflow: hidden;
}

.hero video,
.hero img {
  height: 100%;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  box-sizing: border-box;
  object-fit: cover;
  object-position: center;
  z-index: -25;
}

/*V I D E O   O V E R L A Y*/
.hero::after {
  content: "";
  box-sizing: border-box;
  position: absolute;
  overflow-y: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -10;
  /* background-image: url('./src/ico/pattern.png'); */
  background-color: rgba(78, 45, 22, 0.3);
}

/*
----------------------
A B O U T
*/

.about__text {
  flex-wrap: wrap;
  flex-direction: row;
  gap: 1rem;
  position: relative;
  align-content: space-between;
  box-sizing: border-box;
}

.about__hr {
  border: 0;
  display: block;
  border-top: 1px solid var(--highlight-color);
}

.about__hr--top {
  margin: 1.5rem 0 1.5rem;
}

.about__hr--bottom {
  margin: 1rem 0 1.5rem;
}

.about__text--image {
  display: block;
  position: inherit;
  max-width: 300px;

  flex: 0 0 auto;
}
.about__text--image img {
  display: inline-block;
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
}

.about__text--block {
  padding: 0;
}

.about__text--block a,
.about__text--block a:visited {
  color: var(--primary-color);
}

.about__text--block a:hover {
  color: var(--highlight-color);
}

.about__text--block:nth-child(1) {
  transition-delay: 200ms;
}

.about__text--block:nth-child(2) {
  transition-delay: 400ms;
}

.about__text--block:nth-child(3) {
  transition-delay: 600ms;
}

.about__text:nth-child(4) {
  transition-delay: 800ms;
}

/*
----------------------
S C H E D U L E
*/

.schedule {
  /* display: flex; */
  padding-top: 20rem;
  padding-bottom: 15rem;
  position: relative;
  color: var(--secondary-color);
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  background-image: url("./src/bg/bg1-mr.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  z-index: 0;
  width: 100%;
  max-width: 100%;
  gap: 1rem;
}

.schedule::after {
  content: "";
  box-sizing: border-box;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  /* background-image: url('./src/ico/pattern.png'); */
  background-color: rgba(22, 56, 78, 0.8);
}

.schedule__item {
  width: 100%;
  margin: 0 auto;
  max-width: var(--container-width);
  margin-bottom: 1rem;
}

.schedule__button {
  color: var(--secondary-color);
  background-color: transparent;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  text-align: left;
  cursor: pointer;
  padding: 0 0.5rem 0 0;
  margin-bottom: 0.75rem;
  width: 100%;
  border: none;
  outline: none;
  line-height: 1rem;
  gap: 1rem;
}

.schedule__button--active > *,
.schedule__button:hover {
  color: var(--highlight-color);
}

.date {
  font-size: 0.9rem;
  font-family: neue-haas-unica, sans-serif;
  text-transform: uppercase;
  padding: 0.5rem;
  letter-spacing: 0.1rem;
  margin: 0;
  min-width: 5rem;
}

.arrowz {
  border: solid var(--secondary-color);
  border-width: 0 3px 3px 0;
  display: inline-block;
  margin-left: 1rem;
  margin-left: auto;
  padding: 3px;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  transition: transform 250ms ease-out;
}

.arrowz[data-active="true"] {
  transform: rotate(-135deg);
  -webkit-transform: rotate(-135deg);
}

.city {
  font-size: 1rem;
  font-family: neue-haas-unica, sans-serif;
  font-weight: 400;
  color: rgb(192, 201, 222);
  font-weight: 300;
  white-space: wrap;
  /* font-style: italic; */
}

.city::before {
  content: "\00a0\00a0\|\00a0\00a0";
  position: relative;
  /* top:-2px; */
}

.schedule__button h3 {
  font-size: 1.5rem;
}

.hr--schedule {
  border: none;
  text-align: center;
  border-top: 2px solid var(--highlight-color);
  padding: 0;
}

.hr--schedule__info {
  border: none;
  display: block;
  border-bottom: 1px solid var(--primary-color);
  margin: 0.75rem 0;
}

.schedule__item--info {
  display: none;
  grid-template-areas:
    "starring program program"
    "link link link";
  justify-content: stretch;
  align-content: end;
  text-align: left;
  padding: 1.5rem 0.5rem 4rem;
  gap: 0.5rem;
  color: var(--secondary-color);
}

.info--program > p,
.info--starring > p,
.info--link h4 {
  line-height: 1.75rem;
}

.info--starring h4,
.info--program h4,
.info--link h4 {
  padding: 0.5rem 0 0.5rem;
  color: var(--highlight-color);
}

.info--link a {
  font-size: 1rem;
  line-height: 1.5rem;
  /* border: 0; */
  /* border-bottom: 1px solid var(--alternate-highlight); */
}

.info--starring {
  grid-area: starring;
}

.info--program {
  grid-area: program;
}

.info--link {
  grid-area: link;
  padding-top: 1rem;
  /* background-color: #2b2b2b; */
}

.break__line {
  line-height: 3rem;
  display: inline-block;
}

/* .active--content {
    display: flex;
    background-color: white;
    transition: display 800ms ease;
} */

/*
----------------------
V I D E O S
*/

.video__grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1rem;
}

.video__item {
  flex: 1 1 33%;
  min-width: 300px;
}

.video__item p {
  text-align: center;
  padding-block: 0.5rem 1rem;
}

.video__holder {
  height: 0;
  padding-bottom: 56.25%;

  position: relative;
}

.video__holder iframe {
  position: absolute;
  border-radius: var(--border-radius);
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  border: 0;
}

.video__link {
  width: 100%;
  padding-top: 2rem;
  margin: 0 auto;
  text-align: center;
  color: var(--primary-color);
}

.video__link a {
  color: var(--primary-color);
}

/*
----------------------
C O N T A C T
*/

.contact {
  background-color: var(--primary-color);
  color: var(--secondary-color);
  text-align: center;
  padding-top: 20rem;
  padding-bottom: 15rem;
  position: relative;
  color: var(--secondary-color);
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  background-image: url("./src/bg/bg3-mr.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 50% 30%;
  background-attachment: fixed;
  z-index: 0;
  width: 100%;
  max-width: 100%;
  gap: 1rem;
}

.contact::after {
  content: "";
  box-sizing: border-box;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  /* background-image: url('./src/ico/pattern.png'); */
  background-color: rgba(22, 56, 78, 0.8);
}

.contact h1 {
  padding-bottom: 5rem;
}

.agent {
  margin-bottom: 2rem;
}

.agent__name {
  margin-bottom: 10rem;
  padding-bottom: 1rem;
}

.phonenumber::before {
  content: "\00a0|\00a0";
}

a.link--small,
a.link--small:visited,
a.link--small:hover {
  font-size: 1rem;
}

/*
----------------------
*/

@media (prefers-reduced-motion: reduce) {
  * {
    transition: none !important;
    transition-duration: 0s !important;
  }
}

@media (max-width: 1000px) {
  section {
    min-height: 100lvh;
  }
}

@media (max-width: 800px) {
  .about__text--image {
    flex: 1 0 100%;
    max-width: 100%;
  }
}

@media (min-width: 750px) {
  section {
    padding-inline: 4rem;
  }

  section .flex {
    flex-direction: row;
  }

  section > h1 {
    text-align: center;
  }
}

@media (max-width: 650px) {
  :root {
    font-size: .9rem;
  }
  .schedule__item--info {
    padding-top: 2rem;
    gap: 1rem;
    grid-template-areas:
      "starring"
      "program"
      "link";
  }

  .info--program,
  .info--starring,
  .info--link {
    text-align: left;
  }

  .info--link h4,
  .info--link a {
    text-align: left;
  }

  .schedule__button {
    padding: 0;
    margin-bottom: 0.75rem;
  }

  .schedule__button h3 {
    /* padding: 0 0 0 0;
        margin: 0; */
    font-size: 1.3rem;
    line-height: 1.5rem;
  }
}

@media (max-width: 550px) {
  .city::before {
    display: block;
    content: "\a";
    text-align: left;
    padding: 0;
    margin: 0;
  }

  .schedule__item--info {
    padding: 1.5rem 0;
  }

  .schedule__button {
    flex-direction: row;
    flex-wrap: nowrap;
  }

  .date {
    flex: 0 0 auto;
  }

  .schedule__button h3 {
    text-align: left;
    line-height: 1.75rem;
  }

  h1.signature {
    font-size: 3rem;
    padding: 0.5rem;
  }

  .phonenumber::before {
    content: "\a";
    display: block;
  }
}
